com.dlsc.flexgantt.model.eventline

## Class EventlineModelEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.model.eventline.EventlineModelEvent

- All Implemented Interfaces:
    Serializable

      public class EventlineModelEvent
      extends EventObject

  An event object that can be used by the `IEventlineModel` to notify listeners of changes to it.
  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann
  See Also:
    `IEventlineModelListener`, `IEventlineModel.addEventlineModelListener(IEventlineModelListener)`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EventlineModelEvent.ID` An enumeration of IDs for events issued by an `IEventlineModel`.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventlineModelEvent(IEventlineModel model, EventlineModelEvent.ID id)` Constructs a new event object.
    `EventlineModelEvent(IEventlineModel model, EventlineModelEvent.ID id, Object eventlineObject)` Constructs a new event object.
    `EventlineModelEvent(IEventlineModel model, EventlineModelEvent.ID id, Object[] eventlineObjects)` Constructs a new event object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getEventlineObjects()` Returns the eventline objects that have been modified.
    `EventlineModelEvent.ID` | `getId()` An identifier used to distinguish between different types of eventline model events (objects were added or removed).
    `IEventlineModel` | `getModel()` Returns the eventline model from which the event originated.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventlineModelEvent

          public EventlineModelEvent(IEventlineModel model,
                                     EventlineModelEvent.ID id)

      Constructs a new event object.
      Parameters:
        `model` - the model from which the event originated (the source)
        `id` - an identifier that is used to distinguish different event types
      Since:
        1.0

    - #### EventlineModelEvent

          public EventlineModelEvent(IEventlineModel model,
                                     EventlineModelEvent.ID id,
                                     Object[] eventlineObjects)

      Constructs a new event object.
      Parameters:
        `model` - the model from which the event originated (the source)
        `id` - an identifier that is used to distinguish different event types
        `eventlineObjects` - the eventline objects that have been modified
      Since:
        1.0

    - #### EventlineModelEvent

          public EventlineModelEvent(IEventlineModel model,
                                     EventlineModelEvent.ID id,
                                     Object eventlineObject)

      Constructs a new event object.
      Parameters:
        `model` - the model from which the event originated (the source)
        `id` - an identifier that is used to distinguish different event types
        `eventlineObject` - the eventline object that have been modified
      Since:
        1.0

  - ### Method Detail

    - #### getEventlineObjects

          public Object[] getEventlineObjects()

      Returns the eventline objects that have been modified.
      Returns:
        modified eventline objects
      Since:
        1.0

    - #### getModel

          public IEventlineModel getModel()

      Returns the eventline model from which the event originated.
      Returns:
        the source of the event (the eventline model)
      Since:
        1.0

    - #### getId

          public EventlineModelEvent.ID getId()

      An identifier used to distinguish between different types of eventline model events (objects were added or removed).
      Returns:
        the event ID
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.